Summary: Device Driver for the Comtrol Rocketport(tm)
Name: rocketport
Version: 1.20
Release: 0
Copyright: GPL
Group: Utilities/System
Source: ftp://tsx-11.mit.edu/pub/linux/packages/comtrol/comtrol-1.20.tar.gz
BuildRoot: /tmp/rocketport-root

%description
This package contains the device driver for the Comtrol Rocketport.

%prep

%setup -q -n comtrol

%build
make clean

%install
rm -rf $RPM_BUILD_ROOT
export PATH=/sbin:$PATH
mkdir -p $RPM_BUILD_ROOT/usr/src/comtrol-rocketport
cp -r . $RPM_BUILD_ROOT/usr/src/comtrol-rocketport
ls -lR $RPM_BUILD_ROOT/usr/src/comtrol-rocketport

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/src/comtrol-rocketport/COPYING
/usr/src/comtrol-rocketport/Makefile
/usr/src/comtrol-rocketport/rc.rocket
/usr/src/comtrol-rocketport/rckt.c
/usr/src/comtrol-rocketport/rckt.h
/usr/src/comtrol-rocketport/rcktldef.h
/usr/src/comtrol-rocketport/rocket.c
/usr/src/comtrol-rocketport/rocket.h
/usr/src/comtrol-rocketport/rocket_int.h
/usr/src/comtrol-rocketport/rocketport.conf
/usr/src/comtrol-rocketport/rocketport.spec
/usr/src/comtrol-rocketport/setrocket.c
/usr/src/comtrol-rocketport/setup.sh
/usr/src/comtrol-rocketport/socketmodem.h
/usr/src/comtrol-rocketport/test_version.sh
/usr/src/comtrol-rocketport/version.h
/usr/src/comtrol-rocketport/loadrm2/Makefile
/usr/src/comtrol-rocketport/loadrm2/README.mux
/usr/src/comtrol-rocketport/loadrm2/code.c
/usr/src/comtrol-rocketport/loadrm2/ctmmdmfw.rm
/usr/src/comtrol-rocketport/loadrm2/ctmmdmld.rm
/usr/src/comtrol-rocketport/loadrm2/loadrm2.c
/usr/src/comtrol-rocketport/loadrm2/loadrm2.h
/usr/src/comtrol-rocketport/loadrm2/mux.c
/usr/src/comtrol-rocketport/loadrm2/mux.h
/usr/src/comtrol-rocketport/loadrm2/port.c
%doc /usr/src/comtrol-rocketport/README
%doc /usr/src/comtrol-rocketport/HISTORY
%doc /usr/src/comtrol-rocketport/HW-INSTALL

%post
cd /usr/src/comtrol-rocketport
(make ; make install) > /tmp/rocketport-install.log
(./rc.rocket start; exit 0) >> /tmp/rocketport-install.log

%preun

cd /usr/src/comtrol-rocketport
sh ./setup.sh uninstall > /tmp/rocketport-uninstall.log
